Skip to main content
GET
List daily spend records

Headers

Query parameters

ParameterTypeDescriptionExample
datestring (date)The date of spend entries to search for - provide this OR the Date Start/End ONLY”1970-01-01”
date_startstring (date)The date range of a spend entries to search for - provide this or and a end date OR a date ONLY”1970-01-01T00:00:00Z”
date_endstring (date)The date range of a spend entries to search for - provide this or and a start date OR a date ONLY”1970-01-01T00:00:00Z”
platform_account_idstringThe Ad Platform Account ID to search for, required”12345”
campaign_idstringThe Ad Platform’s Campaign ID to search for”12345”
adset_idstringThe Ad Platform’s Adset ID to search for”12345”
ad_idstringThe Ad Platform’s Ad ID to search for”12345”
pageintegerIf Paginating - supply page number
Required range: x >= 1
Default: 1
1
page_sizeintegerResults per page - Maximum of 1000 results per page
Default: 1000
1000

Responses

200 response body

FieldTypeDescription
data requiredobject[]
Field
Type
Description
Example
date required
string (date)
The date of spend entry to upsert, required
”1970-01-01”
platform_account_id
string
The Ad Platform Account ID to upsert, used for segregating ad objects per ad platform account
Default: ""
"12345”
platform_name required
string
The Ad Platform Name to upsert, required
”Facebook”
campaign_id required
string
The Ad Platform’s Campaign ID (utm_campaign, if known) to upsert, required
”12345”
campaign_name required
string
The Ad Platform Campaign Name to upsert - will be as Ad Name in the Northbeam Dashboard - can be the same as campaign_id
”Banana Festival Awareness Campaign”
adset_id
string
The Ad Platform’s Adset ID (utm_term, if known) to upsert, defaults to ” if empty (not all platforms support adsets)
Default: ""
"12345”
adset_name
string
The Ad Platform Adset Name to upsert - will be as Ad Name in the Northbeam Dashboard - can be the same as adset_id - defaults to ” if empty
Default: ""
"Banana Adset”
ad_id
string
The Ad Platform’s Ad ID (utm_content, if known) to upsert, defaults to ” if empty (not all platforms support ads)
Default: ""
"12345”
ad_name
string
The Ad Platform Ad Name to upsert - will be as Ad Name in the Northbeam Dashboard - can be the same as adset_id - defaults to ” if empty
Default: ""
"Banana Ad”
spend required
number
Amount (in currency) spent on ad object to upsert, defaults to 0 if empty
Required range: x >= 0
”123”
spend_currency required
string
The Currency of the Spend per ISO 4217 to upsert, required
Required string length: 3 - 3
”USD”
impressions
number
The amount of impressions the ad object received on a given date, defaults to 0 if empty
Required range: x >= 0
Default: 0
299
clicks
number
The amount of clicks the ad object received on a given date, defaults to 0 if empty
Required range: x >= 0
Default: 0
0
created_at required
string (date-time)
updated_at required
string (date-time)
page requiredinteger
page_size requiredinteger
total_pages requiredinteger
total_count requiredinteger

401 response body

FieldTypeDescription
errorsobject[], nullable
message requiredstring
request_idstring (uuid), nullable

422 response body

FieldTypeDescription
errorsobject[], nullable
message requiredstring
request_idstring (uuid), nullable

4XX response body

FieldTypeDescription
errorsobject[], nullable
message requiredstring
request_idstring (uuid), nullable

5XX response body

FieldTypeDescription
errorsobject[], nullable
message requiredstring
request_idstring (uuid), nullable

Authorizations

Authorization
string
header
required
Data-Client-ID
string
header
required

Query Parameters

date
string<date>

The date of spend entries to search for - provide this OR the Date Start/End ONLY

Example:

"1970-01-01"

date_start
string<date>

The date range of a spend entries to search for - provide this or and a end date OR a date ONLY

Example:

"1970-01-01T00:00:00Z"

date_end
string<date>

The date range of a spend entries to search for - provide this or and a start date OR a date ONLY

Example:

"1970-01-01T00:00:00Z"

platform_account_id
string

The Ad Platform Account ID to search for, required

Example:

"12345"

campaign_id
string

The Ad Platform's Campaign ID to search for

Example:

"12345"

adset_id
string

The Ad Platform's Adset ID to search for

Example:

"12345"

ad_id
string

The Ad Platform's Ad ID to search for

Example:

"12345"

page
integer
default:1

If Paginating - supply page number

Required range: x >= 1
Example:

1

page_size
integer
default:1000

Results per page - Maximum of 1000 results per page

Example:

1000

Response

List of spend records.

data
Spend Entry Return · object[]
required
page
integer
required
page_size
integer
required
total_pages
integer
required
total_count
integer
required